Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Health agent provider

POST/workspaces/{organizationId}/agent/providers/{agentId}/health
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
agentIdstringrequired
Responses
200

Provider credential/config probe

okbooleanrequired
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/agent/providers/string/health' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "ok": true,
  "message": "string"
}

Was this page helpful?